Subject: Re: [PATCH] PowerPC: remove broken vsyscall code

From: john stultz <[email-masked]>
Date: Mon, 06 Nov 2006 14:09:27 -0800

On Tue, 2006-11-07 at 08:46 +1100, Benjamin Herrenschmidt wrote:
> On Mon, 2006-11-06 at 23:59 +0300, Sergei Shtylyov wrote:
> > Remove vsyscalls that were broken by the PowerPC generic TOD patch, also
> > fixing the build breakage due to its bad rebase.
> > 
> > The patch has been tested on PPC32 only. I had to preserve the data that
> > are made visible to userland via /proc/ppc64/systemcfg on PPC64, however
> > now there are only zeroes there and their affect isn't known to me...
> > 
> > Signed-off-by: Sergei Shtylyov <[email-masked]>
> 
> There is simply no way this will happen !

I believe this is just a short-term fix so the ppc tod/rt code can be
tested. I do plan on getting the ppc vsyscall working before we push any
ppc tod changes to mainline.

thanks
-john